#ifndef __LIBTL_STRING_H
#define __LIBTL_STRING_H

#include <string.h>
#include <ctype.h>
#include <stdio.h>

typedef char* tstring;

tstring 	strn0cpy (char *d, const char *s, int len);
tstring 	strn0cpy_space (char *d, const char *s, int len);
void 		sec_gets_80( char* str );
tstring		fgetline (char *s, int len, FILE *f);
tstring		toupperstr (tstring s);
tstring		tolowerstr (tstring s);
tstring 	deletestr (tstring str, int pos, int del);
tstring 	insertstr (tstring ins, tstring str, int pos);
tstring 	replacestrallchr (tstring str, char oldChar, char newChar);
tstring		replaceStrByStr (tstring str, tstring oldStr, tstring newStr);
tstring		ConvertDosChars( tstring zeile );

tstring	NewString( const char *str );
void 		DeleteString( tstring *src );
tstring	SetString( tstring *dest, const char *src, int len );
tstring 	SetStrings( tstring *dest, const char *src1, const char* src2 );
tstring 	AddString( tstring *dest, const char *add );
tstring 	AddStrings( tstring *dest, const char *add1, const char* add2 );

void		WritelnString( tstring *src, FILE* f );
tstring	ReadlnString ( tstring *dest, FILE* f );

#endif /* __LIBTL_STRING_H */
